import { createI18n } from "vue-i18n";

import zhCN from "./locales/zh-CN.json";
import en from "./locales/en.json";

const i18n = createI18n({
  locale: "zh-CN",
  fallbackLocale: "zh-CN",
  legacy: false,
  messages: {
    "zh-CN": zhCN,
    en: en,
  },
});

export default i18n;
