import {defineStore} from "pinia";
import zhCn from "element-plus/dist/locale/zh-cn.mjs";
import en from "element-plus/dist/locale/en.mjs";

export const useGlobalConfig = defineStore("globalConfig",{
    state:()=>({
        ui: {
            locale: zhCn,
            supportLocale: {
                "zh-CN": zhCn,
                en
            }
        }
    })
})
